<!DOCTYPE html>
<html style='height: 100%;'>
    <head>
        <title>Video Hate Detector - Facebook Login</title>
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta charset="UTF-8">
        <link rel="shortcut icon" href="#" />
        <script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
        <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    </head>
    <body style='height: 100%;'>
        <div class="container h-100">
            <div class="row align-items-center h-100">
                <div class="col-12 mx-auto">
                    <div class="jumbotron text-center">
                        <h3>Video Hate Detector</h3>
                        <div class="fb-login-button" data-max-rows="1" data-size="large" data-button-type="continue_with" data-show-faces="false" data-auto-logout-link="false" data-use-continue-as="true" onlogin="checkLoginState();" scope="public_profile,email"></div>
                        <p id='status'></p>
                    </div>
                </div>
            </div>
        </div>
    </body>
    <script>
        var triedToLogin = false;
        var url = new URL(window.location);
        var redirect = url.searchParams.get('redirect');
        var redirectURL = null;
        if (redirect === null) {
          console.log('Redirect URL not found.')
        } else {
          redirectURL = new URL(redirect);
        }
        var language = url.searchParams.get('language');
        
        if (language === null || language === 'en') {
          language = 'en_US';
        } else if (language === 'pt') {
          language = 'pt_BR';
        }
        
        const trans = {
            en_US:{
                verifying: 'Verifying status...',
                please_login: 'Click on the button to log in.',
                failed: 'The authentication failed.',
                redirecting: 'Redirecting...',
                no_redirect: 'No URL to redirect to.',
            }, 
            pt_BR: {
                verifying: 'Verificando status...',
                please_login: 'Clique no botão para entrar.',
                failed: 'Autenticação falhou.',
                redirecting: 'Redirecionando...',
                no_redirect: 'Sem endereço para redirecionamento.',
                
            }
        };
        
        function setStatus(text){
            $('#status').text(text)
        }

        // This is called with the results from from FB.getLoginStatus().
        function statusChangeCallback(response) {
          // The response object is returned with a status field that lets the
          // app know the current login status of the person.
          // Full docs on the response object can be found in the documentation
          // for FB.getLoginStatus().
          if (response.status === 'connected') {
            // Logged into your app and Facebook.
            if (redirectURL !== null) {
                setStatus(trans[language].redirecting);
              redirectURL.searchParams.set('access_token', response.authResponse.accessToken);
              redirectURL.searchParams.set('user_id', response.authResponse.userID);

              console.log('Success and redirecting to: ' + redirectURL.toString());
              window.location.replace(redirectURL.toString());
            } else {
                setStatus(trans[language].no_redirect);
            }
          } else {
            if (triedToLogin) {
              if (redirectURL !== null) {
                setStatus(trans[language].failed);
                redirectURL.searchParams.set('access_token', false);
                console.log('Failed and redirecting to: ' + redirectURL.toString());
                window.location.replace(redirectURL);
              } else {
                  setStatus(trans[language].no_redirect);
              }
            } else {
              triedToLogin = true;
              setStatus(trans[language].please_login);
            }
          }
        }

        // This function is called when someone finishes with the Login
        // Button.  See the onlogin handler attached to it in the sample
        // code below.
        function checkLoginState() {
          FB.getLoginStatus(function (response) {
            statusChangeCallback(response);
          });
        }

        window.fbAsyncInit = function () {
            setStatus(trans[language].verifying);
          FB.init({
            appId: '2147187698879507',
            cookie: true, // enable cookies to allow the server to access 
            // the session
            xfbml: true, // parse social plugins on this page
            version: 'v2.8' // use graph api version 2.8
          });

          // Now that we've initialized the JavaScript SDK, we call 
          // FB.getLoginStatus().  This function gets the state of the
          // person visiting this page and can return one of three states to
          // the callback you provide.  They can be:
          //
          // 1. Logged into your app ('connected')
          // 2. Logged into Facebook, but not your app ('not_authorized')
          // 3. Not logged into Facebook and can't tell if they are logged into
          //    your app or not.
          //
          // These three cases are handled in the callback function.

          FB.getLoginStatus(function (response) {
            statusChangeCallback(response);
          });
        };

        // Load the SDK asynchronously
        (function (d, s, id) {
          var js, fjs = d.getElementsByTagName(s)[0];
          if (d.getElementById(id))
            return;
          js = d.createElement(s);
          js.id = id;
          js.src = "https://connect.facebook.net/" + language + "/sdk.js";
          fjs.parentNode.insertBefore(js, fjs);
        }(document, 'script', 'facebook-jssdk'));
    </script>
</html>
